CREATE TABLE VS4TEmpTimeFill
	(
	TTGMTEmpCode nvarchar(30) NOT NULL,
	TTGMWorkDate datetime NOT NULL,
	TTGMTWPDCode nvarchar(30) NULL,
	TTGMFreeDay smallint NULL,
	TTGMPayType smallint NULL,
	TTGMInTHpfCode1 nvarchar(30) NULL,
	TTGMInTime1 datetime NULL,
	TTGMInTimeAddDay1 smallint NULL,
	TTGMOutTHpfCode1 nvarchar(30) NULL,
	TTGMOutTime1 datetime NULL,
	TTGMOutTimeAddDay1 smallint NULL,
	TTGMInTHpfCode2 nvarchar(30) NULL,
	TTGMInTime2 datetime NULL,
	TTGMInTimeAddDay2 smallint NULL,
	TTGMOutTHpfCode2 nvarchar(30) NULL,
	TTGMOutTime2 datetime NULL,
	TTGMOutTimeAddDay2 smallint NULL,
	TTGMInTHpfCode3 nvarchar(30) NULL,
	TTGMInTime3 datetime NULL,
	TTGMInTimeAddDay3 smallint NULL,
	TTGMOutTHpfCode3 nvarchar(30) NULL,
	TTGMOutTime3 datetime NULL,
	TTGMOutTimeAddDay3 smallint NULL,
	TTGMInTHpfCode4 nvarchar(30) NULL,
	TTGMInTime4 datetime NULL,
	TTGMInTimeAddDay4 smallint NULL,
	TTGMOutTHpfCode4 nvarchar(30) NULL,
	TTGMOutTime4 datetime NULL,
	TTGMOutTimeAddDay4 smallint NULL,
	TTGMTotalTime real NULL,
	TTGMTotalWork real NULL,
	TTGMTotalOT real NULL,
	TTGMTotalLate real NULL,
	TTGMTotalEarly real NULL,
	TTGMTotalLoss real NULL,
	TTGMTotalLeave real NULL,
	TTGMTotalLeaveOK real NULL,
	TTGMTotalLeaveH real NULL,
	TTGMTotalWorkADJ real NULL,
	TTGMTotalOTADJ real NULL,
	TTGMTotalLateADJ real NULL,
	TTGMTotalEarlyADJ real NULL,
	TTGMTotalLossADJ real NULL,
	TTGMTotalLeaveADJ real NULL,
	TTGMTotalLeaveOKAJ real NULL,
	TTGMTotalLeaveHADJ real NULL,
	TTGMLeaveCode nvarchar(30) NULL,
	TTGMLeaveName nvarchar(50) NULL,
	TTGMRecordList nvarchar(100) NULL,
	TTGMDescription nvarchar(150) NULL,
	TTGMPayShift smallint NULL,
	TTGMPayFood smallint NULL,
	TTGMPayFood2 smallint NULL,
	TTGMPayVehicle smallint NULL,
	TTGMPayStamp smallint NULL,
	TTGMFlag1 smallint NULL,
	TTGMFlag2 smallint NULL,
	TTGMFlag3 smallint NULL
	)  ON [PRIMARY]
GO
ALTER TABLE VS4TEmpTimeFill ADD CONSTRAINT
	PrimaryKey PRIMARY KEY CLUSTERED 
	(
	TTGMTEmpCode,
	TTGMWorkDate
	) ON [PRIMARY]

GO
